Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 209803 - New Empty FXML does not handle Java Controller properly
New Empty FXML does not handle Java Controller properly
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Project
7.2
Macintosh (x86) Mac OS X
: P2 (vote)
: 7.2
Assigned To: Petr Somol
issues@javafx
7.2Beta-stopper-verified
:
Depends on:
Blocks: 212020
  Show dependency treegraph
 
Reported: 2012-03-20 17:42 UTC by svienot
Modified: 2012-10-10 07:34 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description svienot 2012-03-20 17:42:05 UTC
Using New File > JavaFX > Empty FXML wizard and choosing Use Java Controller > Generate new one
we see the following issues:

* the name of the Controller class does not contain the package name. It should.
* the generated FXML fx:controller attribute value is not full class name. It should. 

Also, the various wizard windows have truncated labels: "FXML Na...", "Controller...", "CSS File Na..."
Comment 1 Petr Somol 2012-05-02 13:45:29 UTC
partial fix in jetmain, fixed fx:controller and recreated labels + added missing dialog pane titles:
http://hg.netbeans.org/jet-main/rev/274273289a64
Comment 2 Quality Engineering 2012-05-03 09:51:57 UTC
Integrated into 'main-golden', will be available in build *201205030400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/274273289a64
User: Petr Somol <psomol@netbeans.org>
Log: #209803 - fx:controller now set to full name, plus added missing wizard panel titles
Comment 3 Petr Somol 2012-05-03 13:31:43 UTC
improved fix to work with both new and existing controllers:
http://hg.netbeans.org/jet-main/rev/422c37937d82
Comment 4 Petr Somol 2012-05-03 13:51:16 UTC
The two fixes provided in Comments 1 and 3 deal with the most serious problem addressed in this issue - the incorrect naming of controller class in the generated FXML, which prevents the FXML file from being loaded. To enable separate tracking of the less serious items reported originally in this issue, I created issue 212020 and moved them there.
Comment 5 Stepan Zebra 2012-05-03 14:37:19 UTC
verified in trunk
Comment 6 Petr Somol 2012-05-03 16:20:03 UTC
transplanted fixes from Comment 1 and 3 to release72_beta branch:
http://hg.netbeans.org/releases/rev/1021383603a5
http://hg.netbeans.org/releases/rev/c7ec89d8c4da
Comment 7 Quality Engineering 2012-05-04 03:03:35 UTC
Integrated into 'releases', will be available in build *201205031832* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/1021383603a5
User: Petr Somol <psomol@netbeans.org>
Log: #209803 - fx:controller now set to full name, plus added missing wizard panel titles
Comment 8 Quality Engineering 2012-05-05 10:20:50 UTC
Integrated into 'main-golden', will be available in build *201205050400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/422c37937d82
User: Petr Somol <psomol@netbeans.org>
Log: #209803 improved fix to work with both new and existing controller classes
Comment 9 Quality Engineering 2012-10-10 07:34:10 UTC
Integrated into 'releases', will be available in build *201210100002* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/1021383603a5
User: Petr Somol <psomol@netbeans.org>
Log: #209803 - fx:controller now set to full name, plus added missing wizard panel titles


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo